# Uses of Interface
org.opensaml.saml.saml2.core.StatusDetail

Packages that use StatusDetail
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of StatusDetail in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return StatusDetail
Modifier and Type
Method
Description
`StatusDetail`
Status.`getStatusDetail()`
Gets the Detail of this Status.
Methods in org.opensaml.saml.saml2.core with parameters of type StatusDetail
Modifier and Type
Method
Description
`void`
Status.`setStatusDetail(StatusDetail newStatusDetail)`
Sets the Detail of this Status.

## Uses of StatusDetail in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement StatusDetail
Modifier and Type
Class
Description
`class`
`StatusDetailImpl`
Concrete implementation of `StatusDetail`.
Fields in org.opensaml.saml.saml2.core.impl declared as StatusDetail
Modifier and Type
Field
Description
`private StatusDetail`
StatusImpl.`statusDetail`
StatusDetail element.
Methods in org.opensaml.saml.saml2.core.impl that return StatusDetail
Modifier and Type
Method
Description
`StatusDetail`
StatusDetailBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`StatusDetail`
StatusDetailBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`StatusDetail`
StatusImpl.`getStatusDetail()`
Gets the Detail of this Status.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type StatusDetail
Modifier and Type
Method
Description
`void`
StatusImpl.`setStatusDetail(StatusDetail newStatusDetail)`
Sets the Detail of this Status.